
%global meadversion 3.1.0
%global namedversion 3.1.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-jms-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.1.0.redhat-00002

Name:           %{?scl_prefix}jakarta-jms-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Messaging API
Group:          Development/Java

%if %with mead
Source100: jakarta.jms-api-3.1.0.redhat-00002-project-sources.tar.gz
Source102: jakarta.jms-api-3.1.0.redhat-00002-javadoc.jar
Source103: jakarta.jms-api-3.1.0.redhat-00002.pom
Source104: jakarta.jms-api-3.1.0.redhat-00002.jar
Source105: jakarta.jms-api-3.1.0.redhat-00002-sources.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://projects.eclipse.org/projects/ee4j.jms
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-jms-api-%{namedversion}-%{release}-root

%description
 Jakarta Messaging describes a means for Java applications to create, send, and receive messages via loosely coupled,
 reliable asynchronous communication services.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-jms-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.jms-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.jms-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.jms-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.jms-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.jms-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.jms-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.jms-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-jms-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.jms-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.jms-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-jms-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-jms-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-jms-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.jms-api-%{namedversion}.jar
%{_javadir}/jakarta.jms-api.jar
%if %with javadoc
%{_javadir}/jakarta.jms-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.jms-api-javadoc.jar
%endif
%{_javadir}/jakarta.jms-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.jms-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-jms-api-%{namedversion}
%{_javadocdir}/jakarta-jms-api
%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.1.0-2.redhat_00002.1
- Built by CPaaS

* Mon Sep 19 2022 Yong Yang <yyang@redhat.com> - 3.1.0-1.redhat_00002.1
- 3.1.0.redhat-00002
